package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreDTO;

import javax.xml.ws.Service;

public interface StoreAuthorizationApiService {
    
    /** @Description: 联合商户授权初始化
     * @author taogs
     * @Date 11:46 2019/9/23
     * @Param 
     * @return 
    */
    ServiceResponse<Void> authStore(Integer storeResourceId, Integer toEnterpriseId, Integer enterpriseId);

    ServiceResponse<Void> authorizationSingleStore(String params);

    ServiceResponse<Void> saveStore(StoreDTO storeDTO);

    ServiceResponse<Void> cancelStore(Integer storeInfoId, Integer enterpriseId);
}
