package com.gic.store.web.vo;

import com.gic.store.constant.StoreOwnTypeEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_store_dict
 */
public class StoreDictVO implements Serializable {
    private String value;

    private String key;

    private Integer checked=0;
    /**
     * 0：owner 1:other
     */
    private Integer ownType;

    private String ownTypeStr;


    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public String getOwnTypeStr() {
        if (ownType == null) {
            return "";
        }
        if (ownType.intValue() == StoreOwnTypeEnum.OTHER.getCode()) {
            return "共享";
        }
        return "";
    }
}